=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-06-23 03:45:24 +0000
+++ loggerhead/history.py	2008-06-23 05:21:41 +0000
@@ -870,11 +870,14 @@
             file_list.append(file)
 
         if sort_type == 'filename' or sort_type is None:
-            file_list.sort(key=lambda x: x.filename)
+            file_list.sort(key=lambda x: x.filename.lower()) # case-insensitive
         elif sort_type == 'size':
             file_list.sort(key=lambda x: x.size)
         elif sort_type == 'date':
             file_list.sort(key=lambda x: x.change.date)
+        
+        # Always sort by kind to get directories first
+        file_list.sort(key=lambda x: x.kind != 'directory')
 
         parity = 0
         for file in file_list:

